Package ghidra.app.util.viewer.options

# Class ListingDisplayOptionsEditor

java.lang.Object
ghidra.app.util.viewer.options.ListingDisplayOptionsEditor

All Implemented Interfaces:
  `OptionsEditor`

public class ListingDisplayOptionsEditor extends Object implements OptionsEditor
Class for editing Listing display properties.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_FONT_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingDisplayOptionsEditor(Options options)`
  Constructs a new ListingDisplayOptionsEditor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply()`
  Apply the changes.
  `void`
  `cancel()`
  Cancel the changes.
  `void`
  `dispose()`
  Dispose this editor
  `JComponent`
  `getEditorComponent(Options editableOptions, EditorStateFactory editorStateFactory)`
  Get the editor component.
  `boolean`
  `isResizable()`
  Returns true if this component has "good" resizing behavior.
  `void`
  `reload()`
  A signal to reload the GUI widgets in the component created by this editor.
  `void`
  `setOptionsPropertyChangeListener(PropertyChangeListener listener)`
  Sets the options change listener

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FONT_ID

    public static final String DEFAULT_FONT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ListingDisplayOptionsEditor

    public ListingDisplayOptionsEditor(Options options)
    Constructs a new ListingDisplayOptionsEditor.
    Parameters:
      `options` - the options object to edit

- ## Method Details

  - ### dispose

    public void dispose()
    Description copied from interface: `OptionsEditor`
    Dispose this editor
    Specified by:
      `dispose` in interface `OptionsEditor`

  - ### apply

    public void apply()
    Description copied from interface: `OptionsEditor`
    Apply the changes.
    Specified by:
      `apply` in interface `OptionsEditor`

  - ### cancel

    public void cancel()
    Description copied from interface: `OptionsEditor`
    Cancel the changes.
    Specified by:
      `cancel` in interface `OptionsEditor`

  - ### reload

    public void reload()
    Description copied from interface: `OptionsEditor`
    A signal to reload the GUI widgets in the component created by this editor. This will happen when the options change out from under the editor, such as when the user restores the default options values.
    Specified by:
      `reload` in interface `OptionsEditor`

  - ### setOptionsPropertyChangeListener

    public void setOptionsPropertyChangeListener(PropertyChangeListener listener)
    Description copied from interface: `OptionsEditor`
    Sets the options change listener
    Specified by:
      `setOptionsPropertyChangeListener` in interface `OptionsEditor`
    Parameters:
      `listener` -

  - ### isResizable

    public boolean isResizable()
    Returns true if this component has "good" resizing behavior. Components that do not have this property will be placed in a scrolled pane.
    Returns:
      true if resizable

  - ### getEditorComponent

    public JComponent getEditorComponent(Options editableOptions, EditorStateFactory editorStateFactory)
    Description copied from interface: `OptionsEditor`
    Get the editor component.
    Specified by:
      `getEditorComponent` in interface `OptionsEditor`
    Parameters:
      `editableOptions` - The editable options that for which a GUI component will be created
      `editorStateFactory` - The factory that will provide state objects this options editor